<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'article',

    /*
     * Modules.
     */
    'modules'   => ['article'],

    
    'article'       => [
        'model' => [
            'model' => \Litecms\Article\Models\Article::class,
            'repository' => \Litecms\Article\Repositories\Eloquent\ArticleRepository::class,
            'table' => 'articles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['title',  'slug',  'url',  'blurb',  'banner',  'status',  'published_at',  'editor'],
            'translatables' => [],
            'upload_folder' => 'article/article',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Article',
            'module' => 'Article',
        ],
    ],
];
