<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateArticlesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: articles
         */
        Schema::create('articles', function ($table) {
            $table->increments('id');
            $table->string('title', 65)->nullable();
            $table->string('slug', 50)->nullable();
            $table->text('url')->nullable();
            $table->string('blurb', 80)->nullable();
            $table->json('banner')->nullable();
            $table->string('status', 50)->nullable();
            $table->nullableTimestamps('published_at')->nullable();
            $table->string('editor', 65)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('articles');
    }
}
