<?php

namespace Litecms\Article\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ArticleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('articles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'article.article.view',
                'name'      => 'View Article',
            ],
            [
                'slug'      => 'article.article.create',
                'name'      => 'Create Article',
            ],
            [
                'slug'      => 'article.article.edit',
                'name'      => 'Update Article',
            ],
            [
                'slug'      => 'article.article.delete',
                'name'      => 'Delete Article',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/article/article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/article/article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'article',
                'name'        => 'Article',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Article',
                'module'    => 'Article',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'article.article.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
