Lavalite package that provides article management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/article`.

    "litecms/article": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Article\Providers\ArticleServiceProvider::class,

And also add it to alias

    'Article'  => Litecms\Article\Facades\Article::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Article\\Seeders\\ArticleTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Article\Providers\ArticleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Article\Providers\ArticleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Article\Providers\ArticleServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/article/{modulename}

**User**

    http://path-to-route-folder/user/article/{modulename}

**Public**

    http://path-to-route-folder/articles


### API endpoints

**List**

    http://path-to-route-folder/api/user/article/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/article/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/article/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/article/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/article/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/article/{modulename}/{slug}
    METHOD: GET