<?php

namespace Litecms\Article\Repositories\Eloquent;

use Litecms\Article\Interfaces\ArticleRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Article\Repositories\Eloquent\Presenters\ArticleItemPresenter;


class ArticleRepository extends BaseRepository implements ArticleRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.article.article.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.article.article.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ArticleItemPresenter::class;
    }
}
